var Pager;
$(function() {
    Pager = {
        methods: function() {
            return {
                init: function init() {
                    Pager.events.init();
                }

            };
        }(),
        events: function() {
            return {
                init: function init() {
                    //swiper banner图初始化
                    var bannerCount = $(".swiper-slide").length;
                    var mySwiper = null;
                    if (bannerCount <= 1) {
                        $(".pagination").hide();
                    } else {
                        mySwiper = new Swiper('.swiperBannerContainer', {
                            autoplay: 6000, //可选选项，自动滑动
                            loop: true, //可选选项，开启循环
                            pagination: '.pagination',
                            paginationClickable: true,
                            onInit: function onInit(swiper) {
                                //swiper.swipeNext()
                            }
                        });
                    }
                    $('.swiperBannerContainer').hover(function() {
                        if (bannerCount > 1) {
                            $('.prev').show();
                            $('.next').show();
                        }
                    }, function() {
                        $('.prev').hide();
                        $('.next').hide();
                    });
                    $('.prev').click(function() {
                        mySwiper.swipePrev();
                    });
                    $('.next').click(function() {
                        mySwiper.swipeNext();
                    });
                },
            };
        }(),
    };
    Pager.methods.init();
});
$(document).ready(function() {
    var seckillSwiper = new Swiper('#seckillBanner', {
        autoplay: 4000, //可选选项，自动滑动
        loop: true,
        slidesPerView: 4
    })
    $('.arrow-left').on('click', function(e) {
        e.preventDefault()
        seckillSwiper.swipePrev()
    })
    $('.arrow-right').on('click', function(e) {
        e.preventDefault()
        seckillSwiper.swipeNext()
    })
});

$(document).ready(function() {  
    $('[class^="select eyou_cargo"]').each(function() { // 遍历所有以eyou_cargo开头的类名的元素  
        var $this = $(this);  
        var $switchItems = $this.find('.eyou_switch li');  
        var $containItems = $this.find('.eyou_matter .eyou-contain');  
  
        $switchItems.hover(function() { // 鼠标滑过时  
            var index = $switchItems.index(this); // 获取当前li的索引  
            $switchItems.removeClass('active'); // 移除所有li的active类  
            $(this).addClass('active'); // 为当前li添加active类  
            $containItems.removeClass('active').eq(index).addClass('active'); // 根据索引显示对应的.eyou-contain元素  
        });  
    });  
});


$(document).ready(function() {
    var header = $(".eyoucms_head");
    var sticky = header.offset().top; // 仍然获取 header 的初始位置  
    var tabSwitchTop = $(".eyoucms_m").offset().top; // 获取 .eyoucms_m 的顶部位置  

    $(window).scroll(function() {
        var scrollTop = $(window).scrollTop(); // 当前窗口的滚动位置  

        // 检查是否滚动到 .eyoucms_m 的位置或更下方  
        if (scrollTop > tabSwitchTop) {
            // 如果同时 header 的初始位置也已经在视口上方（可选检查，依据需求）  
            if (scrollTop > sticky) {
                header.addClass("fixed");
            }
        } else {
            header.removeClass("fixed");
        }
    });
});